Installer Java 7 Update 25 sur 12.04 LTS?

28

Comment puis-je installer Java sur Ubuntu 12.04?

J'ai:

  • Environnement d'exécution Java (TM) SE (version 1.7.0_21-b11)
  • VM serveur Java HotSpot 64 bits (version 23.21-b01, mode mixte)
posée user168357 18.06.2013 - 23:33
la source

4 réponses

51

Pour installer la dernière version d’Oracle Java (la dernière mise à jour sur la page Web Oracle), le plus simple est d’utiliser le programme d’installation de Java (comme le fait flashplugin-installer), comme expliqué ici: lien

  

Oracle JDK7 lui-même n'est pas hébergé dans le PPA car cela n'est pas autorisé   par la nouvelle licence Java (qui est aussi la raison pour laquelle il a été   retiré des dépôts officiels d'Ubuntu); le paquet dans le PPA   télécharge et installe automatiquement Oracle JDK 7 à partir de son   site officiel et l’installe sur votre ordinateur, tout comme le   Le package flashplugin-installer le fait.

Ensuite, vous devez seulement faire ceci:

sudo add-apt-repository ppa:webupd8team/java
sudo apt-get update
sudo apt-get install oracle-java7-installer

Et tapez ceci pour vérifier la version:

java -version
    
réponse donnée Leo 18.06.2013 - 23:38
la source
4

Les PPA ne sont pas un moyen sûr / intelligent d’installer quelque chose. L'installation de JDK est très simple et directe.

Les étapes sont les suivantes:

Téléchargez la dernière version de jdk à partir du site Oracle et extrayez:

tar -xvf jdk-7u51-linux-x64.tar.gz
mkdir -p /usr/lib/jvm
mv ./jdk1.7.0_51/ /usr/lib/jvm/jdk1.7.0_51/

Créez des liens symboliques:

sudo update-alternatives --install "/usr/bin/java" "java" "/usr/lib/jvm/jdk1.7.0_51/bin/java" 1
sudo update-alternatives --install "/usr/bin/javac" "javac" "/usr/lib/jvm/jdk1.7.0_51/bin/javac" 1
sudo update-alternatives --install "/usr/bin/javaws" "javaws" "/usr/lib/jvm/jdk1.7.0_51/bin/javaws" 1

De même, des liens symboliques peuvent être créés pour d’autres commandes de JAVA. Les autres commandes disponibles sont:

appletviewer,apt,extcheck,idlj,jar,jarsigner,javadoc,javafxpackager,javah,javap,java-rmi.cgi,jcmd,jconsole,jcontrol,jdb,jhat,jinfo,jmap,jmc,jps,jrunscript,jsadebugd,jstack,jstat,jstatd,jvisualvm,keytool,native2ascii,orbd,pack200,policytool,rmic,rmid,rmiregistry,schemagen,serialver,servertool,tnameserv,unpack200,wsgen,wsimport,xjc

Assurez-vous que les bons utilisateurs disposent des autorisations nécessaires:

sudo chmod a+x /usr/bin/java 
sudo chmod a+x /usr/bin/javac 
sudo chmod a+x /usr/bin/javaws
sudo chown -R root:root /usr/lib/jvm/jdk1.7.0

Référence: Codeurs de l'obscurité | Blog

    
réponse donnée dragosrsupercool 30.01.2014 - 11:01
la source
1

Comme indiqué ci-dessus, l'installation de ce PPA est le moyen le plus simple de le faire. Bien que la mise à jour vers la nouvelle version 7u25 pourrait prendre un jour ou deux. Si le problème que vous rencontrez est une fenêtre pop-up indiquant "Application bloquée par les paramètres de sécurité", et que vous devez vraiment utiliser Java pour le moment, vous pouvez la contourner en diminuant votre niveau de sécurité pour Java. Allez dans votre menu - & gt; préférences - & gt; Panneau de configuration Oracle java 7 plugin. Ouvrez-y l'onglet Sécurité et déplacez le curseur sur "medium" et appliquez. Cela devrait faire l'affaire.

J'espère que ça aide.

    
réponse donnée truckerpunk 19.06.2013 - 03:59
la source
0

Si vous obtenez un message d'erreur tel que couldn't resolve host 'launchpad.net' et que vous êtes sûr que les paramètres de votre serveur proxy sont corrects (http_proxy et https_proxy) essayer sudo -E add-apt-repository ppa:tualatrix/ppa

    
réponse donnée user288927 06.06.2014 - 06:57
la source

Lire d'autres questions sur les étiquettes